﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace com
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
            this.comboBoxBase1.DropDown += new EventHandler(comboBoxBase1_DropDown);
        }

        void comboBoxBase1_DropDown(object sender, EventArgs e)
        {
            /* Setup the relationship between the ComboBoxBase’s dropdown and it's parent PopupControlContainer, so that the popup will not close when the ComboBoxBase’s dropdown is shown */

            this.comboBoxBase1.PopupContainer.PopupParent = this.popupControlContainer1; 
            this.popupControlContainer1.CurrentPopupChild = this.comboBoxBase1.PopupContainer;

        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void Form1_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            this.popupControlContainer1.Show();
        }
        
        private void button1_MouseDown(object sender, MouseEventArgs e)
        {
            popupControlContainer1.ShowPopup(PointToScreen(new Point(button1.Location.X, button1.Location.Y + button1.Height)));
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.popupControlContainer1.HidePopup();
        }
    }

    public class CustomPopupControlContainer : Syncfusion.Windows.Forms.PopupControlContainer
    {
        public CustomPopupControlContainer()
        {
        }
        public CustomPopupControlContainer(IContainer container) 
            : this()
        {
            container.Add(this);
        }

        protected override void OnPopup(EventArgs args)
        {
            base.OnPopup(args); this.Focus(); 
        }
    }

}
